petsc-3.7.1 2016-05-15
Report Typos and Errors

# AOCreateMappingIS

Creates a basic application ordering using two index sets.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOCreateMappingIS(IS isapp, IS ispetsc, AO *aoout)

### Input Parameters

| comm | - MPI communicator that is to share AO Many br
| isapp | - index set that defines an ordering Many br
| ispetsc | - index set that defines another ordering, maybe NULL for identity IS Many br

### Output Parameter

aoout -the new application ordering Many br

### Options Database Key

-ao_view : call AOView() at the conclusion of AOCreateMappingIS() - Many br Many br

Notes: the index sets isapp and ispetsc need NOT contain the all the integers 0 to N-1, that is there CAN be "holes" in the indices. Many brUse AOCreateBasic() or AOCreateBasicIS() if they do not have holes for better performance. Many br

### Keywords

AO, create

### See Also

AOCreateBasic(), AOCreateMapping(), AODestroy()

Level:beginner
Location:src/vec/is/ao/impls/mapping/aomapping.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages